Subject: Lepidoptera as a philatelic topic

From: [email-masked] (HGitner)
Date: 30 Aug 1995 19:00:40 -0400

The collecting of stamps and related philatelic items which depict
butterflies and moths is made easy with a new list from Henry Gitner
Philatelists, Inc. This well illustrated reference includes over 1200
items which range from beautiful inexpensive mint sets from around the
world to the genuine unique rarities which make collecting an adventure.
Many of these are suitable for framing.

The list is available at no charge to interested parties. You may email me
your snailmail address or if in the US call 1-800-94stamp. If requesting
via telephone please request the color version of the list and reference
this message.

Thank You   [email-masked]